### Virtual Method

# Secret Retrievable retrieve_secret_finish

since: 0.19.0

#### Declaration [src]

    SecretValue*
    retrieve_secret_finish (
      SecretRetrievable* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to retrieve the secret value of this object.

Available since: 0.19.0

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `SecretValue`

The secret value which should be released with `secret_value_unref()`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.